Package net.snowflake.client.core

## Class SnowflakeMutableProxyRoutePlanner

- java.lang.Object
- - net.snowflake.client.core.SnowflakeMutableProxyRoutePlanner

All Implemented Interfaces:
  `Serializable`, `org.apache.http.conn.routing.HttpRoutePlanner`

    public class SnowflakeMutableProxyRoutePlanner
    extends Object
    implements org.apache.http.conn.routing.HttpRoutePlanner, Serializable

This class defines a ProxyRoutePlanner (used for creating HttpClients) that has the ability to change the nonProxyHosts setting.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnowflakeMutableProxyRoutePlanner​(String host, int proxyPort, com.amazonaws.Protocol proxyProtocol, String nonProxyHosts)` Deprecated. Use `SnowflakeMutableProxyRoutePlanner(String, int, HttpProtocol, String)` instead
`SnowflakeMutableProxyRoutePlanner​(String host, int proxyPort, HttpProtocol proxyProtocol, String nonProxyHosts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.http.conn.routing.HttpRoute` `determineRoute​(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)`
`String` `getNonProxyHosts()`
`void` `setNonProxyHosts​(String nonProxyHosts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowflakeMutableProxyRoutePlanner

    @Deprecated
    public SnowflakeMutableProxyRoutePlanner​(String host,
                                             int proxyPort,
                                             com.amazonaws.Protocol proxyProtocol,
                                             String nonProxyHosts)

Deprecated.
Use `SnowflakeMutableProxyRoutePlanner(String, int, HttpProtocol, String)` instead

#### SnowflakeMutableProxyRoutePlanner

    public SnowflakeMutableProxyRoutePlanner​(String host,
                                             int proxyPort,
                                             HttpProtocol proxyProtocol,
                                             String nonProxyHosts)

### Method Detail

#### setNonProxyHosts

    public void setNonProxyHosts​(String nonProxyHosts)

#### getNonProxyHosts

    public String getNonProxyHosts()

#### determineRoute

    public org.apache.http.conn.routing.HttpRoute determineRoute​(org.apache.http.HttpHost target,
                                                                 org.apache.http.HttpRequest request,
                                                                 org.apache.http.protocol.HttpContext context)
                                                          throws org.apache.http.HttpException

Specified by:
  `determineRoute` in interface `org.apache.http.conn.routing.HttpRoutePlanner`
Throws:
  `org.apache.http.HttpException`